{*
 The comment list is defined inside a tabsheet made with the jQuery $().tabs()
 With jQuery 1.2.6 (don't know how other release manage this) all the anchors <A> tags are considered as a tab.
 So, can't use <A href="link"> because href is modified by the jQuery function.
 Links are managed by an event onclick="document.location='link';"
*}

<ul class="commentList">
{foreach from=$comments item=comment}
<li>
  <div class="commentDetail">
    {if isset($comment.TN_SRC)}
    <div class="illustration">
      <a href="{$comment.U_PICTURE}">
        <img src="{$comment.TN_SRC}" alt="{$comment.ALT}" />
      </a>
    </div>
    {/if}
    <div class="description">
      {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) }
      <ul class="actions" style="float:right">
        {if isset($comment.U_DELETE)}
        <li>
          <img style="cursor:pointer;" src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" class="button" alt="[delete]" onclick="document.location='{$comment.U_DELETE}';" title="{'delete this comment'|@translate}"/>
        </li>
        {/if}
        {if isset($comment.U_VALIDATE)}
        <li>
          <img style="cursor:pointer;" src="{$ROOT_URL}{$themeconf.icon_dir}/validate_s.png" class="button" alt="[validate]" onclick="document.location='{$comment.U_VALIDATE}';" title="{'validate this comment'|@translate}"/>
        </li>
        {/if}
      </ul>
      {/if}
      <span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
      <blockquote>{$comment.CONTENT}</blockquote>
    </div>
  </div>
</li>

{/foreach}
</ul>
