{* common file for errors/infos dialog box *}

{if isset($errors) and count($errors) or isset($infos) and count($infos)}

{literal}
<script type="text/javascript">
  $(function() {
    $("#divMsg").dialog({
      bgiframe: true,
      modal: true,
      dialogClass: '{/literal}{if isset($errors) and count($errors)}errors{elseif isset($infos) and count($infos)}infos{/if}{literal}',
      buttons: {
        "{/literal}{'ok'|@translate}{literal}": function()
        {
          $(this).dialog("close");
        }
      }
    });
  });
</script>
{/literal}

<div id="divMsg">
  <ul>
    {if isset($errors) and count($errors)}
      {foreach from=$errors item=error}
      <li>{$error}</li>
      {/foreach}
    {/if}
    {if isset($infos) and count($infos)}
      {foreach from=$infos item=info}
      <li>{$info}</li>
      {/foreach}
    {/if}
  </ul>
</div>

{/if}
