<!-- **GBL** >PICTURE> -->

{include file='dialogs.tpl'}

<div id="content">

  <div id="imageHeaderBar">
    <div class="browsePath">
      <h2>
      [ <a href="{$U_HOME}" rel="home">{'home'|@translate}</a>
      {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE}{/if}
      {$LEVEL_SEPARATOR}{$current.TITLE} ]
      </h2>
    </div>
    <div class="imageNumber">{$PHOTO}</div>
    <h2>&nbsp;</h2>
  </div> <!-- imageHeaderBar -->

  {if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
  <div id="imageToolBar">
    <div id="imageToolBarContainer" class="uiImg">
        <div class="imageToolBarBg">&nbsp;</div>

        <div class="randomButtons">
          {if isset($U_SLIDESHOW_START) }
            <a id="icon_start_slideshow" class="button" href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}">--></a>
          {/if}
          {if isset($U_SLIDESHOW_STOP) }
            <a id="icon_stop_slideshow" class="button" href="{$U_SLIDESHOW_STOP}" title="{'slideshow_stop'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'slideshow_stop'|@translate}">--></a>
          {/if}
            <a id="icon_metadata" class="button" href="{$U_METADATA}" title="{'picture_show_metadata'|@translate}" rel="nofollow"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata" />--></a>
          {if isset($current.U_DOWNLOAD) }
            <a id="icon_save" class="button" href="{$current.U_DOWNLOAD}" title="{'download_hint'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}">--></a>
          {/if}
          {if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
          {if isset($favorite) }
            <a id="icon_{$favorite.FAVORITE_IMG|@regex_replace:'/(.*\/)*(del_)*(favorite)+(\.png)*/i':'$2$3'}" class="button" href="{$favorite.U_FAVORITE}" title="{$favorite.FAVORITE_HINT}"><!-- <img src="{$favorite.FAVORITE_IMG}" class="button" alt="favorite" title="{$favorite.FAVORITE_HINT}"> --></a>
          {/if}
          {if !empty($U_SET_AS_REPRESENTATIVE) }
            <a id="icon_representative" class="button" href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/representative.png" class="button" alt="{'representative'|@translate}"> --></a>
          {/if}
          {if isset($U_ADMIN) }
            <a id="icon_preferences" class="button" href="{$U_ADMIN}" title="{'link_info_image'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"> --></a>
          {/if}
          {if isset($U_CADDIE) }{*caddie management BEGIN*}
          <script type="text/javascript">
          {literal}
          function addToCadie(aElement, rootUrl, id)
          {
            if (aElement.disabled) return;
            aElement.disabled=true;
            var y = new PwgWS(rootUrl);

            y.callService(
              "pwg.caddie.add", {image_id: id} ,
              {
                onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
                onSuccess: function(result) { aElement.disabled = false; }
              }
            );
          }{/literal}
          </script>
          <a id="icon_caddie" class="button" href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'add to caddie'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"> --></a>
          {/if} {*caddie management END*}
        </div>
        {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}

        {if $SHOW_PICTURE_NAME_ON_TITLE }
        <div><h2>{$current.TITLE}</h2></div>
        {/if}

    </div>
  </div> <!-- imageToolBar -->

  {if isset($previous) }
  <div id="navThumbPrev">
    <table id="navThumbPrevContainer" class="uiImg"><tr><td>
      <div class="navThumbPrevBg">&nbsp;</div>
      <div class="navThumbPrevContent">
        <a class="navThumb" id="thumbPrev" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$previous.TITLE}" rel="prev">
          <img src="{$previous.THUMB_SRC}" class="thumbLink" id="linkPrev" alt="{$previous.TITLE}">
        </a>
      </div>
    </td></tr></table>
  </div> <!-- navThumbPrev -->
  {/if}

  {if isset($next) }
  <div id="navThumbNext">
    <table id="navThumbNextContainer" class="uiImg"><tr><td>
      <div class="navThumbNextBg">&nbsp;</div>
      <div class="navThumbNextContent">
        <a class="navThumb" id="thumbNext" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$next.TITLE}" rel="next">
          <img src="{$next.THUMB_SRC}" class="thumbLink" id="linkNext" alt="{$next.TITLE}">
        </a>
      </div>
    </td></tr></table>
  </div> <!-- navThumbNext -->
  {/if}


    <div id="theImage">
        {$ELEMENT_CONTENT}

        {if isset($COMMENT_IMG)}
        <p>{$COMMENT_IMG}</p>
        {else}
        <p>&nbsp;</p>
        {/if}

        {if isset($U_SLIDESHOW_STOP) }
        <p>
          [ <a href="{$U_SLIDESHOW_STOP}">{'slideshow_stop'|@translate}</a> ]
        </p>
        {/if}
    </div> <!-- theImage -->


  <div id="theTabsContainer">
  <div id="theTabs" class="uiImg">
    <ul id="theTabsheets">
      <li class="tab" id="tabImageInfos"><a href="#imageInfos">{"Informations"|@translate}</a></li>
      {if isset($metadata)}
        {foreach from=$metadata item=meta key=id}
          <li class="tab" id="tabImageMeta"><a href="#imageMeta{$id}">{$meta.TITLE|@translate}</a></li>
        {/foreach}
      {/if}
      {if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
        <li class="tab" id="tabTheComment">
          <a href="#theComments">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</a>
          <!-- <span class="comment_icon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/comments.png" alt=""/></span> -->
        </li>
      {/if}
    </ul>
    <div id="theTabsBg"></div>

    <div id="imageInfos" class="tabPanel">
      <div id="imageInfosContainer">
      <div class="imageInfosBg">&nbsp;</div>

    <table class="infoTable" summary="Some info about this picture">
      <tr  class="emptyrow" style="line-height:0px;">
        <td colspan="2" width="49.75%">&nbsp;</td>
        <td>&nbsp;</td>
        <td colspan="2" width="49.75%">&nbsp;</td>
      </tr>

      <tr>
        <td class="label">{'Author'|@translate}</td>
        <td class="value" style="min-width:214px;">{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</td>
        <td>&nbsp;</td>
        <td class="label">{'Dimensions'|@translate}</td>
        <td class="value">{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS|@replace:"*":"x"}{else}{'N/A'|@translate}{/if}</td>
      </tr>
      <tr>
        <td class="label">{'Created on'|@translate}</td>
        <td class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
        <td>&nbsp;</td>
        <td class="label">{'File'|@translate}</td>
        <td class="value">{$INFO_FILE}</td>
      </tr>
      <tr>
        <td class="label">{'Posted on'|@translate}</td>
        <td class="value">{$INFO_POSTED_DATE}</td>
        <td>&nbsp;</td>
        <td class="label">{'Filesize'|@translate}</td>
        <td class="value">{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}</td>
      </tr>
      {if isset($related_tags)}
        <tr class="emptyrow"><td colspan="5">&nbsp;</td></tr>
        <tr id="infoTags">
          <td class="label">{'Tags'|@translate}</td>
          <td colspan="4" class="value">
              {foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}
              <a href="{$tag.URL}">{$tag.name}</a>{/foreach}
          </td>
        </tr>
      {/if}
      {if isset($related_categories)}
        <tr class="emptyrow"><td colspan="5">&nbsp;</td></tr>
        <tr id="infoCats">
          <td class="label">{'Categories'|@translate}</td>
          <td colspan="4" class="value">
            {foreach from=$related_categories item=cat name=tag_loop}{if !$smarty.foreach.tag_loop.first},&nbsp;{/if}
            {$cat}
            {/foreach}
          </td>
        </tr>
      {/if}
      <tr class="emptyrow"><td colspan="5">&nbsp;</td><tr>
      <tr>
        <td class="label">{'Visits'|@translate}</td>
        <td colspan="4" class="value">{$INFO_VISITS}</td>
      </tr>

    {if isset($rate_summary) or isset($rating)}
      <tr>
        {if isset($rate_summary)}
          <td class="label">{'Average rate'|@translate}</td>
          <td class="value" id="ratingSummary">
          {if $rate_summary.count}
            {assign var='rate_text' value='%.2f (rated %d times, standard deviation = %.2f)'|@translate }
            {$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count, $rate_summary.std) }
          {else}
            {'no_rate'|@translate}
          {/if}
          </td>
        {else}
          <td colspan="2">&nbsp;</td>
        {/if}
        <td>&nbsp;</td>
        {if isset($rating)}
          <td class="label">
            <span id="updateRate">{if isset($rating.USER_RATE)}{'update_rate'|@translate}{else}{'new_rate'|@translate}{/if}</span>
          </td>
          <td class="value">
            <form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
            <div>&nbsp;
            {foreach from=$rating.marks item=mark name=rate_loop}
            {if !$smarty.foreach.rate_loop.first} | {/if}
            {if isset($rating.USER_RATE) && $mark==$rating.USER_RATE}
              <input type="button" name="rate" value="{$mark}" class="rateButtonSelected" title="{$mark}" />
            {else}
              <input type="submit" name="rate" value="{$mark}" class="rateButton" title="{$mark}" />
            {/if}
            {/foreach}
            <script type="text/javascript" src="{$ROOT_URL}template/{$themeconf.template}/rating.js"></script>
            <script type="text/javascript">
            makeNiceRatingForm( {ldelim}rootUrl: '{$ROOT_URL|@escape:"javascript"}', image_id: {$current.id},
            updateRateText: "{'update_rate'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
            ratingSummaryText: "{'%.2f (rated %d times, standard deviation = %.2f)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary") {rdelim} );
            </script>
            </div>
            </form>
          </td>
        {else}
          <td colspan="2">&nbsp;</td>
        {/if}
      </tr>
    {/if}

    {if isset($available_permission_levels) }
      <tr>
        <td class="label">{'Privacy level'|@translate}:</td>
        <td colspan="4" class="value">
    <script type="text/javascript">
    {literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
    {
    selectElement.disabled = true;
    var y = new PwgWS(rootUrl);
    y.callService(
      "pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
      {
        method: "POST",
        onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
        onSuccess: function(result) { selectElement.disabled = false; }
      }
      );
    }{/literal}
    </script>
      <select onchange="setPrivacyLevel(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}, this.options[selectedIndex].value)">
      {foreach from=$available_permission_levels item=level}
        <option value="{$level}"{if $current.level==$level} selected="selected"{/if}>{$pwg->l10n($pwg->sprintf('Level %d',$level))}</option>
      {/foreach}
      </select>
      </td></tr>
    {/if}

    </table>

      </div>
    </div> <!-- imageInfos -->




    {if isset($metadata)}
    {foreach from=$metadata item=meta key=id}
    <div id="imageMeta{$id}" class="imageMeta tabPanel">
      <div id="imageMetaContainer{$id}">
        <div class="imageMetaBg">&nbsp;</div>
        <table id="displaymeta{$id}" class="displaymeta infoTable">
          {foreach from=$meta.lines item=value key=label name=metaloop}
          {if ($smarty.foreach.metaloop.iteration-1) % #metaNumCols# == 0}
            {if !$smarty.foreach.metaloop.first}</tr>{/if}
            {if !$smarty.foreach.metaloop.last}<tr>{/if}
          {/if}
            <td class="label">{$label|@translate}</td>
            <td class="value">{$value|@replace:',':', '}</td>
        {/foreach}
        </table>
      </div>
    </div> <!-- imageMeta -->
    {/foreach}
    {/if}


    {if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
    <div id="theComments" class="tabPanel">
      <div id='theCommentBG'>&nbsp;</div>

      {if !empty($COMMENT_NAV_BAR)}
      <div class="navigationBar">{$COMMENT_NAV_BAR}</div>
      {/if}


      {if isset($comment_add) or isset($comments)}
      <table id="theCommentContainer">
        <tr style="vertical-align:top;">
          {if isset($comment_add)}
          {if isset($comments)}
          <td width="50%">
          {else}
          <td>
          {/if}
            <h4>{'comments_add'|@translate}</h4>
            <form  method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
              <table>
                {if $comment_add.SHOW_AUTHOR}
                <tr>
                  <td>{'upload_author'|@translate}</td>
                  <td><input type="text" name="author"></td>
                </tr>
                {/if}
                <tr>
                  <td {if $comment_add.SHOW_AUTHOR}colspan="2"{/if}><textarea name="content" id="contentid" rows="7" cols="80">{$comment_add.CONTENT}</textarea></td>
                </tr>
                <tr>
                  <td {if $comment_add.SHOW_AUTHOR}colspan="2"{/if}>
                    <input type="hidden" name="key" value="{$comment_add.KEY}" />
                    <input class="submit" type="submit" value="{'Submit'|@translate}"/>
                  </td>
                </tr>
              </table>
            </form>
          </td>
          {/if}

          {if isset($comments)}
          {if isset($comment_add)}
          <td width="50%">
          {else}
          <td>
          {/if}
            <div id="theCommentList">
              {include file='comment_list.tpl' comment_separator=true}
            </div>
          </td>
          {/if}

        </tr>
      </table>
      {/if}
    </div>
    {/if} {*comments*}

  </div><!-- theTabs -->
  </div>

  {if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}

</div>

<!-- **GBL** <PICTURE< -->

